# v0.1 (Deprecated)

## API Endpoint

```
https://api.clusters.xyz
```

#### API KEY

{% hint style="info" %}
You can get an API Key by visiting <https://clusters.xyz/developer/api-keys>
{% endhint %}

If you have an API KEY, you can add it to the request headers like so:

```javascript
fetch(URL, { headers: { "X-API-KEY": "abc123" } }) 
```

***

## Authentication

{% hint style="info" %}
Currently, this is only required for [Managing Wallets](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/managing-wallets). If you do not need to manage wallets via the API, you can ignore this.
{% endhint %}

1. Get signing message
2. Sign the message with an EVM or Solana wallet
3. Get authentication key with the signature of the signed message
4. Using authenticate key with endpoints that require wallet authentication

***

**Get Signing Message**

<mark style="color:green;">`GET`</mark> `/v0.1/auth/message`

Get the signing message used for wallet signature authentication

**Example**

```bash
curl -X GET 'https://api.clusters.xyz/v0.1/auth/message'
```

**Response**

> The message to sign and the corresponding signing date

{% tabs %}
{% tab title="200" %}

```json
{
  "message": "clusters.xyz verification\n\nBefore interacting with certain functionality, we require a wallet signature for verification.\n\n2024-05-14T19:08:27.985Z",
  "signingDate": "2024-05-14T19:08:27.985Z"
}
```

{% endtab %}
{% endtabs %}

***

**Get Authentication Key**

<mark style="color:green;">`POST`</mark> `/v0.1/auth/token`

Authenticate the ownership of a specific wallet

| Name          | Description                                      |
| ------------- | ------------------------------------------------ |
| `signature`   | Signed message signature                         |
| `signingDate` | Date given by signing message response           |
| `type`        | `evm` or `solana` (wallet type used for signing) |
| `wallet`      | Wallet that signed the message                   |

**Example**

```bash
curl --request POST \
  --url https://api.clusters.xyz/v0.1/auth/token \
  --header 'Content-Type: application/json' \
  --data '{
  "signature": "abc123",
  "signingDate": "2024-05-14T19:08:27.985Z",
  "type": "evm",
  "wallet": "0x0000000000000000000000000000000000000000"
}'
```

**Response**

> The auth key used for authenticated responses

{% tabs %}
{% tab title="200" %}

```json
{
  "authenticationKey": "eyJzaWduYXR1cmUiOiJhYmMxMjMiLCJzaWduaW5nRGF0ZSI6IjIwMjQtMDUtMTRUMTk6MDg6MjcuOTg1WiIsInR5cGUiOiJldm0iLCJ3YWxsZXQiOiIweDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAifQ=="
}
```

{% endtab %}
{% endtabs %}

***

**Validate Authentication Key**

<mark style="color:green;">`POST`</mark> `/v0.1/auth/validate`

Authenticate if a authentication key is valid or not

| Name                | Description        |
| ------------------- | ------------------ |
| HEADER `X-AUTH-KEY` | Authentication key |

**Example**

```bash
curl --request GET
--url https://api.clusters.xyz/v0.1/auth/validate
--header 'X-AUTH-KEY: eyJzaWduYXR1cmUiOiJhYmMxMjMiLCJzaWduaW5nRGF0ZSI6IjIwMjQtMDUtMTRUMTk6MDg6MjcuOTg1WiIsInR5cGUiOiJldm0iLCJ3YWxsZXQiOiIweDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAifQ=='
```

**Response**

> The auth key used for authenticated responses

{% tabs %}
{% tab title="200" %}

```json
{
  "signature": "abc123",
  "signingDate": "2024-05-14T19:08:27.985Z",
  "type": "evm",
  "wallet": "0x0000000000000000000000000000000000000000",
  "isValid": false
}
```

{% endtab %}
{% endtabs %}

***

{% content-ref url="v0.1-deprecated/cluster-address" %}
[cluster-address](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/cluster-address)
{% endcontent-ref %}

{% content-ref url="v0.1-deprecated/address-cluster" %}
[address-cluster](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/address-cluster)
{% endcontent-ref %}

{% content-ref url="v0.1-deprecated/cluster-metadata" %}
[cluster-metadata](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/cluster-metadata)
{% endcontent-ref %}

{% content-ref url="v0.1-deprecated/registration" %}
[registration](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/registration)
{% endcontent-ref %}

{% content-ref url="v0.1-deprecated/event-indexing" %}
[event-indexing](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/event-indexing)
{% endcontent-ref %}

{% content-ref url="v0.1-deprecated/managing-wallets" %}
[managing-wallets](https://docs.clusters.xyz/getting-started/api/v0.1-deprecated/managing-wallets)
{% endcontent-ref %}
